Assign Track To Multiple Users

Assign a track to a set of users in a single request. Returns 422 when the request does not end up assigning the track to any user.

Authentication

Api-Keystring

API key of the organization. Always sent together with the Secret-Access header.

Path parameters

organization_slugstringRequired

Headers

Secret-AccessstringRequired

Request

This endpoint expects an object.
track_idintegerRequired>=1

Id of the track (learning path) to assign, as returned in track.id by the learning tracks catalog endpoint

centralized_user_list_idslist of integersRequired
Centralized user ids that will receive the track
send_email_to_all_selected_usersbooleanOptionalDefaults to false
Whether to notify every selected user by email

Response

Track assigned (fully or partially; see the response code field)

messagestring
Message of the response
codestring
Internal code of the response
datetimestring
Datetime of the API in ISO Format
dataobjectOptional
Track assignment details

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error